| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
packet_range_tag Struct Reference

Fully describes a packet range selection, including UI settings, derived counts, and dependency sets used when iterating over a capture file. More...

`#include <packet_range.h>`

## Public Attributes
packet_range_e | process
bool | process_filtered
bool | remove_ignored
bool | include_dependents
range_t * | user_range
convert_ret_t | user_range_status
range_t * | selection_range
convert_ret_t | selection_range_status
capture_file * | cf
uint32_t | mark_range_cnt
uint32_t | user_range_cnt
uint32_t | selection_range_cnt
uint32_t | marked_plus_depends_cnt
uint32_t | mark_range_plus_depends_cnt
uint32_t | user_range_plus_depends_cnt
uint32_t | selected_plus_depends_cnt
uint32_t | ignored_cnt
uint32_t | ignored_marked_cnt
uint32_t | ignored_mark_range_cnt
uint32_t | ignored_user_range_cnt
uint32_t | ignored_selection_range_cnt
uint32_t | displayed_cnt
uint32_t | displayed_plus_dependents_cnt
uint32_t | displayed_marked_cnt
uint32_t | displayed_mark_range_cnt
uint32_t | displayed_user_range_cnt
uint32_t | displayed_marked_plus_depends_cnt
uint32_t | displayed_mark_range_plus_depends_cnt
uint32_t | displayed_user_range_plus_depends_cnt
uint32_t | displayed_selection_range_cnt
uint32_t | displayed_selected_plus_depends_cnt
uint32_t | displayed_ignored_cnt
uint32_t | displayed_ignored_marked_cnt
uint32_t | displayed_ignored_mark_range_cnt
uint32_t | displayed_ignored_user_range_cnt
uint32_t | displayed_ignored_selection_range_cnt
GHashTable * | marked_plus_depends
GHashTable * | displayed_marked_plus_depends
GHashTable * | mark_range_plus_depends
GHashTable * | displayed_mark_range_plus_depends
GHashTable * | user_range_plus_depends
GHashTable * | displayed_user_range_plus_depends
GHashTable * | selected_plus_depends
GHashTable * | displayed_selected_plus_depends
bool | marked_range_active
uint32_t | marked_range_left

## Detailed Description

Fully describes a packet range selection, including UI settings, derived counts, and dependency sets used when iterating over a capture file.

## Member Data Documentation

## ◆ cf

capture_file* packet_range_tag::cf

Capture file these counts apply to

## ◆ displayed_cnt

uint32_t packet_range_tag::displayed_cnt

Total displayed packets

## ◆ displayed_ignored_cnt

uint32_t packet_range_tag::displayed_ignored_cnt

Displayed packets that are ignored

## ◆ displayed_ignored_mark_range_cnt

uint32_t packet_range_tag::displayed_ignored_mark_range_cnt

Displayed ignored packets within the marked range

## ◆ displayed_ignored_marked_cnt

uint32_t packet_range_tag::displayed_ignored_marked_cnt

Displayed packets that are both ignored and marked

## ◆ displayed_ignored_selection_range_cnt

uint32_t packet_range_tag::displayed_ignored_selection_range_cnt

Displayed ignored packets within the current selection range

## ◆ displayed_ignored_user_range_cnt

uint32_t packet_range_tag::displayed_ignored_user_range_cnt

Displayed ignored packets within the user-specified range

## ◆ displayed_mark_range_cnt

uint32_t packet_range_tag::displayed_mark_range_cnt

Displayed packets within the marked range

## ◆ displayed_mark_range_plus_depends

GHashTable* packet_range_tag::displayed_mark_range_plus_depends

Set of displayed marked-range frames plus their dependents

## ◆ displayed_mark_range_plus_depends_cnt

uint32_t packet_range_tag::displayed_mark_range_plus_depends_cnt

Displayed marked-range packets plus their dependents

## ◆ displayed_marked_cnt

uint32_t packet_range_tag::displayed_marked_cnt

Displayed packets that are marked

## ◆ displayed_marked_plus_depends

GHashTable* packet_range_tag::displayed_marked_plus_depends

Set of displayed marked frames plus their dependents

## ◆ displayed_marked_plus_depends_cnt

uint32_t packet_range_tag::displayed_marked_plus_depends_cnt

Displayed marked packets plus their dependents

## ◆ displayed_plus_dependents_cnt

uint32_t packet_range_tag::displayed_plus_dependents_cnt

Displayed packets plus their dependents

## ◆ displayed_selected_plus_depends

GHashTable* packet_range_tag::displayed_selected_plus_depends

Set of displayed selected frames plus their dependents

## ◆ displayed_selected_plus_depends_cnt

uint32_t packet_range_tag::displayed_selected_plus_depends_cnt

Displayed selected packets plus their dependents

## ◆ displayed_selection_range_cnt

uint32_t packet_range_tag::displayed_selection_range_cnt

Displayed packets within the current selection range

## ◆ displayed_user_range_cnt

uint32_t packet_range_tag::displayed_user_range_cnt

Displayed packets within the user-specified range

## ◆ displayed_user_range_plus_depends

GHashTable* packet_range_tag::displayed_user_range_plus_depends

Set of displayed user-range frames plus their dependents

## ◆ displayed_user_range_plus_depends_cnt

uint32_t packet_range_tag::displayed_user_range_plus_depends_cnt

Displayed user-range packets plus their dependents

## ◆ ignored_cnt

uint32_t packet_range_tag::ignored_cnt

Packets flagged as ignored

## ◆ ignored_mark_range_cnt

uint32_t packet_range_tag::ignored_mark_range_cnt

Ignored packets within the marked range

## ◆ ignored_marked_cnt

uint32_t packet_range_tag::ignored_marked_cnt

Packets that are both ignored and marked

## ◆ ignored_selection_range_cnt

uint32_t packet_range_tag::ignored_selection_range_cnt

Ignored packets within the current selection range

## ◆ ignored_user_range_cnt

uint32_t packet_range_tag::ignored_user_range_cnt

Ignored packets within the user-specified range

## ◆ include_dependents

bool packet_range_tag::include_dependents

If true, also process packets that others in the range depend on

## ◆ mark_range_cnt

uint32_t packet_range_tag::mark_range_cnt

Packets within the marked range

## ◆ mark_range_plus_depends

GHashTable* packet_range_tag::mark_range_plus_depends

Set of captured marked-range frames plus their dependents

## ◆ mark_range_plus_depends_cnt

uint32_t packet_range_tag::mark_range_plus_depends_cnt

Marked-range packets plus their dependents

## ◆ marked_plus_depends

GHashTable* packet_range_tag::marked_plus_depends

Set of captured marked frames plus their dependents

## ◆ marked_plus_depends_cnt

uint32_t packet_range_tag::marked_plus_depends_cnt

Marked packets plus their dependents

## ◆ marked_range_active

bool packet_range_tag::marked_range_active

True while an iteration over the marked range is in progress

## ◆ marked_range_left

uint32_t packet_range_tag::marked_range_left

Number of marked-range packets still to be processed in the current iteration

## ◆ process

packet_range_e packet_range_tag::process

Which packet subset to process (see packet_range_e)

## ◆ process_filtered

bool packet_range_tag::process_filtered

If true, restrict processing to display-filtered packets; otherwise use captured packets

## ◆ remove_ignored

bool packet_range_tag::remove_ignored

If true, exclude ignored packets from processing

## ◆ selected_plus_depends

GHashTable* packet_range_tag::selected_plus_depends

Set of captured selected frames plus their dependents

## ◆ selected_plus_depends_cnt

uint32_t packet_range_tag::selected_plus_depends_cnt

Selected packets plus their dependents

## ◆ selection_range

range_t* packet_range_tag::selection_range

Range derived from the current packet selection in the UI

## ◆ selection_range_cnt

uint32_t packet_range_tag::selection_range_cnt

Packets within the current selection range

## ◆ selection_range_status

convert_ret_t packet_range_tag::selection_range_status

Validity status of `selection_range`

## ◆ user_range

range_t* packet_range_tag::user_range

Parsed representation of the user-supplied range string; NULL if not set

## ◆ user_range_cnt

uint32_t packet_range_tag::user_range_cnt

Packets within the user-specified range

## ◆ user_range_plus_depends

GHashTable* packet_range_tag::user_range_plus_depends

Set of captured user-range frames plus their dependents

## ◆ user_range_plus_depends_cnt

uint32_t packet_range_tag::user_range_plus_depends_cnt

User-range packets plus their dependents

## ◆ user_range_status

convert_ret_t packet_range_tag::user_range_status

Parse/conversion status of `user_range`; indicates any error if NULL

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/ui/packet_range.h